Deploy `specialpages` feature branch (promote new Special:MobileOptions, fontchanger etc)
Closed, ResolvedPublic2 Story Points

Description

Deploy the settings feature branch everywhere

Pre-checklist

@phuedx: T184742: QA of 'specialpages' feature branch (settings page) is a direct subtask (blocker).

Acceptance criteria

  • Merge specialpages branch in Minerva to master.
  • Merge specialpages branch in MobileFrontend to master.
  • Un-deploying is simple (revert a single commit instead of multiple).
  • Merge as early in the week as possible so translators can make updates before it goes to prod (This should ideally be merged on the 5th)
  • Link feedback page to https://www.mediawiki.org/wiki/Reading/Web/Settings

Testing criteria

Post deploy/sign off

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jdlrobson updated the task description. (Show Details)Dec 6 2017, 5:49 PM
Jdlrobson renamed this task from Deploy `specialpages` feature branch to Deploy `specialpages` feature branch (promote new Special:MobileOptions, fontchanger etc).
bmansurov added a subscriber: bmansurov.

The task looks clear.

ovasileva triaged this task as Normal priority.Dec 7 2017, 3:35 PM
Jdlrobson updated the task description. (Show Details)Dec 11 2017, 6:17 PM
Jdlrobson changed the task status from Open to Stalled.
Jdlrobson added a subscriber: Jdlrobson.

Stalled on T182362

Niedzielski updated the task description. (Show Details)Jan 3 2018, 5:44 PM
Niedzielski updated the task description. (Show Details)
Jdlrobson changed the task status from Stalled to Open.Jan 3 2018, 6:18 PM
Jdlrobson set the point value for this task to 2.

We talked about this today and concluded it was relatively simple. Given we're working with branches it's not a straightforward 1 point config change.

Nirzar added a subscriber: Nirzar.Jan 3 2018, 9:52 PM

https://phabricator.wikimedia.org/T182362 < this is still a blocker for deploying this branch

Jdlrobson updated the task description. (Show Details)

This is blocked on a feedback link from Olga, T182362 and QA of the feature.

@ovasileva Do we want to notify CLs about this? Just asking because we've talked about that as a part of the new template for deploys. Maybe User-notice ?

Jdlrobson updated the task description. (Show Details)Jan 12 2018, 12:47 AM
phuedx updated the task description. (Show Details)Jan 12 2018, 7:56 AM
phuedx added a subscriber: phuedx.
Jdlrobson updated the task description. (Show Details)Jan 12 2018, 7:56 PM
ovasileva updated the task description. (Show Details)Jan 22 2018, 9:03 PM
Jdlrobson updated the task description. (Show Details)Feb 5 2018, 6:18 PM

Note: this should go out on next week's train.

Change 408354 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Configure settings feedback link

https://gerrit.wikimedia.org/r/408354

Change 408357 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Deploy the new specialpages branch to master

https://gerrit.wikimedia.org/r/408357

Change 408384 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Prepare for breaking change to MobileContext

https://gerrit.wikimedia.org/r/408384

Change 408385 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Merge remote-tracking branch 'gerrit/specialpages' into T182217

https://gerrit.wikimedia.org/r/408385

Change 408384 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Prepare for breaking change to MobileContext

https://gerrit.wikimedia.org/r/408384

Change 408354 merged by jenkins-bot:
[operations/mediawiki-config@master] Configure settings feedback link

https://gerrit.wikimedia.org/r/408354

Mentioned in SAL (#wikimedia-operations) [2018-02-06T00:14:24Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:408354|Configure settings feedback link]] T182217 (duration: 00m 56s)

Jdlrobson updated the task description. (Show Details)
phuedx added a comment.Feb 6 2018, 9:56 AM

Aside: The $wgMFBetaFeedbackLink configuration variable isn't documented on https://www.mediawiki.org/wiki/Extension:MobileFrontend.

Stephen and I will do this today.

Aside: The $wgMFBetaFeedbackLink configuration variable isn't documented on https://www.mediawiki.org/wiki/Extension:MobileFrontend.

But it is documented in README.md which is linked to here: https://www.mediawiki.org/wiki/Extension:MobileFrontend/Configuration (we dont document config on wiki any more)

Change 408357 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Deploy the new specialpages branch to master

https://gerrit.wikimedia.org/r/408357

Change 408385 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Merge remote-tracking branch 'gerrit/specialpages' into T182217

https://gerrit.wikimedia.org/r/408385

Jdlrobson updated the task description. (Show Details)Feb 6 2018, 10:33 PM
Jdlrobson updated the task description. (Show Details)

@ovasileva
the AC says link feedback button to https://www.mediawiki.org/wiki/Reading/Web/Settings

I thought we are gonna link it to the flow page?

it's not obvious how to give feedback if I land on wiki page :(

Jdlrobson reassigned this task from Jdlrobson to ABorbaWMF.Feb 6 2018, 10:49 PM
Jdlrobson added a subscriber: ABorbaWMF.

The branch has been merged into master https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:MobileOptions and will roll out on next weeks train (13th-15th Feb)
@ABorbaWMF this will need a general QA to check this worked correctly.

@Nirzar I assumed talk page was needed so when I swatted I linked to talk. That said for some reason it's not showing up on BC. Will investigate.

oh cool! thanks!

Okay it's working. It just only shows in beta. It points to flow board.

I neglected to add comments, apologies...

I did a bunch of testing on this related to this ticket and a few others. This is working in Beta right now. I can also take a look at production once it is deployed there next week.

ovasileva updated the task description. (Show Details)Feb 13 2018, 4:12 PM

Looks good to me on production.






phuedx reassigned this task from ABorbaWMF to ovasileva.Feb 16 2018, 10:10 AM
ovasileva updated the task description. (Show Details)Feb 16 2018, 10:55 AM
ovasileva closed this task as Resolved.

Tested and it's working! @ABorbaWMF - a question. It seems the mockups you pasted don't match this task - do they belong in another task?

Nope just different font sizes and expanded sections on different browsers